Package org.silverpeas.components.resourcesmanager

## Class ResourcesManagerStatistics

- java.lang.Object
- - org.silverpeas.components.resourcesmanager.ResourcesManagerStatistics

- All Implemented Interfaces:
    `org.silverpeas.core.silverstatistics.volume.service.ComponentStatisticsProvider`

      @Provider
      @Named("resourcesManagerStatistics")
      public class ResourcesManagerStatistics
      extends Object
      implements org.silverpeas.core.silverstatistics.volume.service.ComponentStatisticsProvider

- - ### Field Summary

    - ### Fields inherited from interface org.silverpeas.core.silverstatistics.volume.service.ComponentStatisticsProvider

      `QUALIFIER_SUFFIX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourcesManagerStatistics()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Collection<org.silverpeas.core.silverstatistics.volume.model.UserIdCountVolumeCouple>` | `getVolume​(String spaceId, String componentId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.silverstatistics.volume.service.ComponentStatisticsProvider

      `countSpecificFiles, memorySizeOfSpecificFiles`

- - ### Constructor Detail

    - #### ResourcesManagerStatistics

          public ResourcesManagerStatistics()

  - ### Method Detail

    - #### getVolume

          public Collection<org.silverpeas.core.silverstatistics.volume.model.UserIdCountVolumeCouple> getVolume​(String spaceId,
                                                                                                                 String componentId)

      Specified by:
        `getVolume` in interface `org.silverpeas.core.silverstatistics.volume.service.ComponentStatisticsProvider`